%define name kwatch
%define version 2.2.0
%define release 1mdk

Name: 		%name
Summary: 	KDE log file viewer
Version: 	%version
Release: 	%release
License: 	GPL
URL: 		http://www.m-j-s.net/kde/
Group: 		Monitoring
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%_tmppath/%{name}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:  libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 db1 freetype2 libjpeg62
BuildRequires:  libmng1 libpng3 libqt2 libqt2-devel rpm-build

%description
KDE log file viewer.

%prep

%setup -n kwatch-%{version}

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix \
	    --disable-rpath \
	    --disable-debug 

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/bin/kwatch" \ 
title="Kwatch" \
longtitle="Log file viewer" \
icon="%{name}.png" \    
needs="x11" \
section="Applications/Monitoring"
EOF
)


%post
%{update_menus}
  
%postun
%{clean_menus}  

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%_bindir/*
%_menudir/*

%_datadir/applnk/Utilities/kwatch.desktop

%dir %_datadir/apps/kwatch/
%_datadir/apps/kwatch/*.rc

%dir %_datadir/doc/HTML/default/kwatch/
%doc %_datadir/doc/HTML/default/kwatch/*.docbook
%doc %_datadir/doc/HTML/default/kwatch/common
%doc %_datadir/doc/HTML/default/kwatch/*.bz2

%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png  

%lang(de) %_datadir/locale/de/LC_MESSAGES/*

%changelog
* Sun Jan 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.0-1mdk
- Update code 

* Fri Jan 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-5mdk
- Make rpmlint happy
- Add missing files

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-4mdk
- Rebuild against libpng3

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-3mdk
- Rebuild 

* Thu Aug 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-2mdk
- rebuild

* Tue Apr 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-1mdk
- Update code

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.3-6mdk
- Fix entry menu

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.9.3-5mdk
- Move KDE menu entry in %%_datadir/applnk
- Use optimizations
- Fix BuildRequires for non %%ix86 architectures
- Don't remove useful links
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.3-4mdk
- Add build requires

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.3-3mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.9.3-2mdk
- Rebuild against Qt 2.3.0

* Mon Mar 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.3-1mdk
- updated to 1.9.3
- fixes buildroot

* Tue Jan 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2-1mdk
- updated to 1.9.2

* Mon Dec 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.9.1-1mdk
- new in contribs 
